.modal {
  position: absolute;
  top: 50vh;
  left: 50vw;
  transform: translate(-50%, -50%);
  min-width: 30vw;
  max-width: 95vw;
  max-height: clamp(100px, calc(60 * var(--vh)), 90vh);
  display: flex;
  flex-direction: column;
  background-color: white;
  border-radius: 15px;
  -webkit-box-shadow: 10px 10px 10px grey;
  box-shadow: 10px 10px 10px grey;
  z-index: 5;
}

.modal > p {
  color: #0058ff;
  text-align: center;
  padding-inline: 10px;
}

.modal-heading {
  display: grid;
  width: 100%;
  background: #0a72e1;
  color: white;
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
  grid-template-columns: 15% 70% 15%;
}

.modal-heading > h1 {
  grid-column: 2;
  grid-row: 1;
  justify-self: center;
}

.cancel-wrapper {
  padding-inline: 1vw;
  display: flex;
  align-items: center;
  grid-column: 3;
  grid-row: 1;
  justify-self: right;
}

.modal-cancel {
  height: 50%;
  outline: none;
  border: none;
  border-radius: 20px;
  color: white;
  background: #0093ff;
}

.modal-cancel:hover {
  cursor: pointer;
}

.modal-btns {
  flex: 1;
  width: 100%;
  margin-bottom: 10px;
  display: flex;
  justify-content: center;
}

.modal-btns > button {
  width: 20%;
  border: none;
  outline: none;
  border-radius: 10px;
  color: white;
  background: #0a72e1;
  margin: 10px;
  padding: 5px;
}

.modal-btns > button:hover {
  cursor: pointer;
}

.overlay {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.05);
  backdrop-filter: blur(3px);
  z-index: 2;
}

.form-in-modal {
  overflow: auto;
  padding-inline: 2vw;
  padding-top: 1vw;
  padding-bottom: 1vw;
  clip-path: inset(0 round 10px);
}

.stack {
  display: flex;
  flex-direction: column;
  padding: 15px;
  margin: 2px;
}

.stack > input,
.stack > select,
.stack > input:focus {
  outline: none;
  border: none;
  border-bottom: 1px solid grey;
}

.stack > label {
  color: #2552a5;
}

.submit-btn {
  display: flex;
  justify-content: center;
}

.submit-btn > button {
  width: 35%;
  border: none;
  border-radius: 50px;
  color: white;
  background: #0a72e1;
  padding: 1vw;
}

.submit-btn > button:hover {
  cursor: pointer;
}

.time-range-btn {
  margin-top: 5px;
  color: white;
  background-color: #0a72e1;
  border-radius: 3px;
  outline: none;
  border: none;
}

.alternative-text {
  display: flex;
  justify-content: center;
}

.assignment-form > td,
.assignment-form > th {
  border-right: 1px solid lightgrey;
  background: white;
  white-space: nowrap;
  padding-inline: 5px;
  border-bottom: 1px solid lightgrey;
}

.assignment-form > table {
  border-collapse: collapse;
  width: max-content;
  margin-bottom: 5px;
}

.table-container {
  overflow: auto;
}

.sticky-col {
  position: sticky;
  left: 0;
  background: #f7f7f7;
  z-index: 2;
}

thead > .sticky-col {
  z-index: 3;
}
